%{!?luaver: %global luaver %(lua -e "print(string.sub(_VERSION, 5))" || echo 0)}

Name:           lua-posix
Version:        36.1
Release:        1
Summary:        A POSIX library(including curses) for lua
License:        MIT
URL:            http://luaforge.net/projects/luaposix/
Source0:        https://github.com/luaposix/luaposix/archive/v%{version}/release-v%{version}.tar.gz
BuildRequires:  gcc lua-devel
Requires:       lua(abi) = %{luaver}

%description
This is a POSIX binding for LuaJIT, Lua 5.1, 5.2, 5.3 and 5.4; like most libraries it simply
binds to C APIs on the underlying system, so it won't work on non-POSIX systems. However,
it does try to detect the level of POSIX conformance of the underlying system and bind
only available APIs.

%prep
%autosetup -n luaposix-%{version}

%build
build-aux/luke CFLAGS="%build_cflags" LDFLAGS="%build_ldflags"

%install
build-aux/luke install PREFIX=%{buildroot}%{_prefix} INST_LIBDIR=%{buildroot}%{_libdir}/lua/%{luaver}


%files
%license LICENSE
%doc AUTHORS NEWS.md README.md
%{_libdir}/lua/%{luaver}/*
%{_datadir}/lua/%{luaver}/posix/

%changelog
* Wed Jun 7 2023 liyanan <thistleslyn@163.com> - 36.1-1
- Update to 36.1

* Fri Aug 07 2020 lingsheng <lingsheng@huawei.com> - 35.0-1
- Update to 35.0

* Tue Nov 26 2019 Ling Yang <lingyang2@huawei.com> - 33.3.1-12
- Package init
